
CoCoA-5 - Bug #519

GUI: fix DEFINES in makefile

03 Apr 2014 20:26 - Anna Maria Bigatti

Status: Closed Start date: 03 Apr 2014

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: GUI Estimated time: 1.50 hour

Target version: CoCoA-5.3.0 Spent time: 1.55 hour

Description

make-c5makefile.sh places "defines" (-D..) in QMAKE_CXXFLAGS but they should go in DEFINES.

No problems on a Mac, but on Windows this has the consequence that the defines are not handled properly and the GUI will miss

the features like Normaliz or GSL even though they are contained in the CoCoAInterpreter.exe.

(by Jan Limbeck)

Related issues:

Related to CoCoA-5 - Bug #239: Normaliz functions not available in C5 GUI (ag... Closed 27 Sep 2012

Related to CoCoA-5 - Bug #207: BuiltIn Normaliz functions not available in C5... Closed 10 Jul 2012

History

#1 - 03 Apr 2014 20:32 - Anna Maria Bigatti

- Status changed from New to Resolved

- % Done changed from 0 to 60

When I wrote the script for dealing with the defines (old problem with Normaliz) I didn't know it would matter.

Anyway I found the way to fix the script (easy when you know how...) tomorrow I'll test in other platforms and ask Jan Limbeck...

#2 - 14 May 2014 16:31 - John Abbott

- Target version changed from CoCoA-5.1.0 Easter14 to CoCoA-5.1.1 Seoul14

#3 - 11 Sep 2014 17:51 - John Abbott

Anna has asked Limbeck to attempt compilation --  waiting for his feedback.

#4 - 15 Sep 2014 18:07 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.1 Seoul14 to CoCoA-5.1.2 summer 2015

#5 - 16 Feb 2016 15:58 - John Abbott

Any news?  Close?  Change target version?

#6 - 16 Feb 2016 17:51 - Anna Maria Bigatti

- Target version changed from CoCoA-5.1.2 summer 2015 to CoCoA-5.2.0 spring 2017

#7 - 13 Oct 2016 12:57 - John Abbott

This has been dormant for over two years; should we just close it?  I guess Limbeck is/was unable to test it for us.

#8 - 01 Mar 2017 13:30 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.0 spring 2017 to CoCoA-5.2.2

#9 - 15 Nov 2017 17:32 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.2 to CoCoA-5.2.4
#10 - 30 Jul 2018 14:06 - Anna Maria Bigatti

- Target version changed from CoCoA-5.2.4 to CoCoA-5.3.0

#11 - 14 Feb 2020 09:22 - John Abbott

- Status changed from Resolved to Closed

- % Done changed from 60 to 100

The old Qt interface has not worked for quite some time.

Also we now handle CPP flags in a different way (via the file PREPROCESSOR_FLAGS.H).

So this issue is probably no longer relevant; though surely whatever mechanism was used to handle the CPP flags will have to be revamped.

Closing because (almost surely) no longer relevant.
